Witaj na Forum Linuxiarzy
Zanim zalogujesz się, by pisać na naszym forum, zapoznaj się z kilkoma zasadami savoir-vivre'u w dziale Administracja.
Wiadomości z problemami zamieszczone w wątku "Przywitaj się" oraz wszelkie reklamy na naszym forum będą usuwane.

Ostatnie wiadomości

#1
Komputery / nie mogę zainstalować wine na ...
Ostatnia wiadomość przez dziki - Luty 05, 2023, 10:25:50 PM
Cześć jak w temacie. Mam problem z instalacją wine na chromebooku. Jeśli chodzi o Linuxa, to dopiero zaczynam raczkować, nie wiem czy to kwestia komputera czy mojej niewiedzy, ale wykonuję wszystko według poradników internetowych i nie jestem w stanie obejść punktów, w których wyrzuca mi błąd. Może ktoś tutaj siedzi w temcie chormebooków i będzie w stanie mi powiedzieć co robię nie tak.. ja już zaczynam się poddawać

Cytatdziki@penguin:~$ sudo dpkg --add-architecture i386

dziki@penguin:~$ wget -nc https://dl.winehq.org/wine-builds/winehq.key

File 'winehq.key' already there; not retrieving.

dziki@penguin:~$ sudo apt-key add winehq.key

Warning: apt-key is deprecated. Manage keyring files in trusted.gpg.d instead (see apt-key(8)).
OK
dziki@penguin:~$ echo "deb https://dl.winehq.org/wine-builds/debian/ bullseye main" | sudo tee /etc/apt/sources.list.d/wine_chrome_os_made_simple.list

deb https://dl.winehq.org/wine-builds/debian/ bullseye main
dziki@penguin:~$ sudo apt update -y

Get:1 http://download.opensuse.org/repositories/Emulators:/Wine:/Debian/Debian_11 ./ InRelease [1,543 B]
Hit:2 https://deb.debian.org/debian bullseye InRelease                         
Hit:3 https://deb.debian.org/debian bullseye-updates InRelease                 
Hit:4 https://deb.debian.org/debian-security bullseye-security InRelease       
Hit:5 https://dl.winehq.org/wine-builds/debian bullseye InRelease     
Ign:6 https://storage.googleapis.com/cros-packages/109 bullseye InRelease
Hit:7 https://storage.googleapis.com/cros-packages/109 bullseye Release
Fetched 1,543 B in 4s (389 B/s)
Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
4 packages can be upgraded. Run 'apt list --upgradable' to see them.
W: Target Packages (main/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list.d/wine_chrome_os_made_simple.list:1 and /etc/apt/sources.list.d/winehq-bullseye.sources:1
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/wine_chrome_os_made_simple.list:1 and /etc/apt/sources.list.d/winehq-bullseye.sources:1
W: Target Translations (main/i18n/Translation-en_US) is configured multiple times in /etc/apt/sources.list.d/wine_chrome_os_made_simple.list:1 and /etc/apt/sources.list.d/winehq-bullseye.sources:1
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/wine_chrome_os_made_simple.list:1 and /etc/apt/sources.list.d/winehq-bullseye.sources:1
N: Skipping acquire of configured file 'main/binary-arm64/Packages' as repository 'https://dl.winehq.org/wine-builds/debian bullseye InRelease' doesn't support architecture 'arm64'
W: Target Packages (main/binary-i386/Packages) is configured multiple times in /etc/apt/sources.list.d/wine_chrome_os_made_simple.list:1 and /etc/apt/sources.list.d/winehq-bullseye.sources:1
W: Target Packages (main/binary-all/Packages) is configured multiple times in /etc/apt/sources.list.d/wine_chrome_os_made_simple.list:1 and /etc/apt/sources.list.d/winehq-bullseye.sources:1
W: Target Translations (main/i18n/Translation-en_US) is configured multiple times in /etc/apt/sources.list.d/wine_chrome_os_made_simple.list:1 and /etc/apt/sources.list.d/winehq-bullseye.sources:1
W: Target Translations (main/i18n/Translation-en) is configured multiple times in /etc/apt/sources.list.d/wine_chrome_os_made_simple.list:1 and /etc/apt/sources.list.d/winehq-bullseye.sources:1
dziki@penguin:~$ sudo apt install --install-recommends winehq-stable winbind

Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 playonlinux : Depends: python
               Depends: python-wxgtk2.8 but it is not installable or
                        python-wxgtk3.0 but it is not installable
               Depends: imagemagick
               Depends: cabextract
               Depends: icoutils
               Depends: p7zip-full
               Depends: jq
 winbind : Depends: samba-common (= 2:4.13.13+dfsg-1~deb11u5) but it is not going to be installed
           Depends: samba-common-bin (= 2:4.13.13+dfsg-1~deb11u5) but it is not going to be installed
           Depends: libtalloc2 (>= 2.3.1~) but it is not going to be installed
           Depends: libtevent0 (>= 0.10.2~) but it is not going to be installed
           Depends: libwbclient0 (= 2:4.13.13+dfsg-1~deb11u5) but it is not going to be installed
           Depends: samba-libs (= 2:4.13.13+dfsg-1~deb11u5) but it is not going to be installed
 winehq-stable:i386 : Depends: wine-stable:i386 (= 8.0.0.0~bullseye-1) but it is not going to be installed
                      Conflicts: wine
                      Conflicts: wine:i386
                      Conflicts: wine:amd64
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
dziki@penguin:~$
dziki@penguin:~$ winecfg

/usr/bin/wine-stable: 40: exec: /usr/lib/wine/wine: Exec format error
dziki@penguin:~$ sudo apt install nemo

Reading package lists... Done
Building dependency tree... Done
Reading state information... Done
You might want to run 'apt --fix-broken install' to correct these.
The following packages have unmet dependencies:
 nemo : Depends: cinnamon-desktop-data (>= 4.6~) but it is not going to be installed
        Depends: gvfs (>= 1.3.2) but it is not going to be installed
        Depends: libcinnamon-desktop4 (>= 4.8~) but it is not going to be installed
        Depends: libnemo-extension1 (= 4.8.6-2) but it is not going to be installed
        Depends: libxapp1 (>= 2.0.0) but it is not going to be installed
        Depends: nemo-data (= 4.8.6-2) but it is not going to be installed
        Depends: libexempi8 (>= 2.5.0) but it is not going to be installed
        Depends: libgail-3-0 (>= 3.0.0) but it is not going to be installed
        Depends: libnotify4 (>= 0.7.0) but it is not going to be installed
        Recommends: cinnamon-l10n (>= 4.8~) but it is not going to be installed
        Recommends: gvfs-backends
        Recommends: gvfs-fuse but it is not going to be installed
        Recommends: nemo-fileroller (>= 4.6~) but it is not going to be installed
 playonlinux : Depends: python
               Depends: python-wxgtk2.8 but it is not installable or
                        python-wxgtk3.0 but it is not installable
               Depends: imagemagick
               Depends: cabextract
               Depends: icoutils
               Depends: p7zip-full
               Depends: jq
E: Unmet dependencies. Try 'apt --fix-broken install' with no packages (or specify a solution).
#2
Jaki Linux wybrać / Odp: Jakie distro na początek
Ostatnia wiadomość przez kevlar - Luty 05, 2023, 03:09:03 PM
Z całym szacunkiem dla twórców, ale na start odrzuciłem MX i Sparky ze względów wizualnych, nie są to systemy atrakcyjne pod tym względem dla mnie.

Poszperałem troszkę dłużej na stronie Protondb i jak się okazuje najczęściej wykorzystywane dystrybucje do gier to Manjaro, POP_OS, Arch i Fedora, z lekką plątaniną Ubuntu.

Posiedziałem dłużej na POP_OS i choćby osoby, które wielbią Archa będą mówić jakie to niewspierane i gówniane mam swoje zdanie i uważam, że spełnia swoje zadanie. Jak coś trzeba zrobić zaraz jakiś poradnik jest dostępny od ręki.

Manjaro nie wezmę, nie chce mi się bawić przy każdej aktualizacji w Backupy, bo coś się może wywalić. Faktycznie opinie w ostatnim czasie są słabe na ten temat.

Jednakże do wyboru dystrybucji pojawił się kolejny czynnik w postaci karty graficznej. Zaplanowałem pod swoje potrzeby przyszłą kartę tj. RX 5700 z lub bez XT). Do jej funkcjonowania na moim setupie, czyli 500 watowy PSU, potrzebny będzie undervolting przy wykorzystaniu Corectrl a instalacja na Ubuntu jest jakby bardziej skomplikowanym procesem przez repozytoria zewnętrzne blokowanie czegoś tam, jeszcze tego nie rozumiem. Natomiast na Archowych wystarczy jedna komenda i dodanie linijki do Gruba. Stąd moje zwiększone zainteresowanie na Arche. Na maszynkę wleci EndevourOS, potestuje i zobaczymy co to będzie.
#3
Sparky / Odp: Skaner Epson Perfection V...
Ostatnia wiadomość przez linux4ever - Luty 05, 2023, 09:06:37 AM
Cytat: sparky w Luty 05, 2023, 08:34:16 AMbogusz@bogusz-lifebooka512:~$ cd/Pulpit
bash: cd/Pulpit: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd/deskop
bash: cd/deskop: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd/desktop
bash: cd/desktop: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd/Desktop
bash: cd/Desktop: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd
bogusz@bogusz-lifebooka512:~$ cd/Desktop
bash: cd/Desktop: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd
bogusz@bogusz-lifebooka512:~$ Desktop
bash: Desktop: nie znaleziono polecenia
bogusz@bogusz-lifebooka512:~$ sudo dpkg -i epsonscan2-bundle-6.7.0.0.x86_64.deb
[sudo] hasło użytkownika bogusz:
dpkg: błąd: brak dostępu do archiwum "epsonscan2-bundle-6.7.0.0.x86_64.deb": Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd..
bash: cd..: nie znaleziono polecenia
bogusz@bogusz-lifebooka512:~$ cd/opt
bash: cd/opt: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd
bogusz@bogusz-lifebooka512:~$ sudo dpkg -i epsonscan2-bundle-6.7.0.0.x86_64.deb
dpkg: błąd: brak dostępu do archiwum "epsonscan2-bundle-6.7.0.0.x86_64.deb": Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ pobrane
bash: pobrane: nie znaleziono polecenia
bogusz@bogusz-lifebooka512:~$ sudo dpkg -i
dpkg: błąd: --install wymaga co najmniej jednego argumentu będącego plikiem archiwum

Proszę wpisać dpkg --help, aby dowiedzieć się jak (od)instalować pakiety
  • .
"dselect" i "aptitude" są wygodnymi programami do zarządzania pakietami.
Proszę wpisać dpkg -Dhelp, aby dowiedzieć się o opcjach debuggera.
Proszę wpisać dpkg --force-help, aby dowiedzieć się, jak ignorować problemy.
Proszę wpisać dpkg-deb --help, aby dowiedzieć się, jak operować plikami *.deb.

Opcje oznaczone
  • podają dużo treści - proszę użyć potoku z "less" lub "more"!
bogusz@bogusz-lifebooka512:~$

Nie działa u mnie, opcja z prawym klawiszem myszy też nie działa. Proszę o dalszą pomoc

Powyżej  dałem rozwiązanie bo wcześniej źle napisałem.

A sterownik pobrałem z  odnośnika  do adresu jaki podał PomPom:

http://support.epson.net/linux/en/epsonscan2.php

Archiwum ze sterownikiem wypakuj gdziekolwiek.
#4
Sparky / Odp: Skaner Epson Perfection V...
Ostatnia wiadomość przez linux4ever - Luty 05, 2023, 08:53:57 AM
Mój błąd powinno być bez /

/ jest używany w kontekście folderów systemowych  np /usr.

cd ~ pozwla wrócić do domyślnego folderu.

Ale podaję  inny sposób daję zrzut ekranu:





#5
Sparky / Odp: Skaner Epson Perfection V...
Ostatnia wiadomość przez sparky - Luty 05, 2023, 08:34:16 AM
bogusz@bogusz-lifebooka512:~$ cd/Pulpit
bash: cd/Pulpit: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd/deskop
bash: cd/deskop: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd/desktop
bash: cd/desktop: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd/Desktop
bash: cd/Desktop: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd
bogusz@bogusz-lifebooka512:~$ cd/Desktop
bash: cd/Desktop: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd
bogusz@bogusz-lifebooka512:~$ Desktop
bash: Desktop: nie znaleziono polecenia
bogusz@bogusz-lifebooka512:~$ sudo dpkg -i epsonscan2-bundle-6.7.0.0.x86_64.deb
[sudo] hasło użytkownika bogusz:
dpkg: błąd: brak dostępu do archiwum "epsonscan2-bundle-6.7.0.0.x86_64.deb": Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd..
bash: cd..: nie znaleziono polecenia
bogusz@bogusz-lifebooka512:~$ cd/opt
bash: cd/opt: Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ cd
bogusz@bogusz-lifebooka512:~$ sudo dpkg -i epsonscan2-bundle-6.7.0.0.x86_64.deb
dpkg: błąd: brak dostępu do archiwum "epsonscan2-bundle-6.7.0.0.x86_64.deb": Nie ma takiego pliku ani katalogu
bogusz@bogusz-lifebooka512:~$ pobrane
bash: pobrane: nie znaleziono polecenia
bogusz@bogusz-lifebooka512:~$ sudo dpkg -i
dpkg: błąd: --install wymaga co najmniej jednego argumentu będącego plikiem archiwum

Proszę wpisać dpkg --help, aby dowiedzieć się jak (od)instalować pakiety
  • .
"dselect" i "aptitude" są wygodnymi programami do zarządzania pakietami.
Proszę wpisać dpkg -Dhelp, aby dowiedzieć się o opcjach debuggera.
Proszę wpisać dpkg --force-help, aby dowiedzieć się, jak ignorować problemy.
Proszę wpisać dpkg-deb --help, aby dowiedzieć się, jak operować plikami *.deb.

Opcje oznaczone
  • podają dużo treści - proszę użyć potoku z "less" lub "more"!
bogusz@bogusz-lifebooka512:~$

Nie działa u mnie, opcja z prawym klawiszem myszy też nie działa. Proszę o dalszą pomoc
#6
Mepis, antiX, MX / Odp: Ekran ładowania MX Linux
Ostatnia wiadomość przez mirekc - Luty 03, 2023, 07:27:12 PM
Cytat: jami w Luty 03, 2023, 04:31:52 AMJest domyślny we Fluxboxie - motyw "elegant-linen-grey".
Możesz zmienić używając "MX Opcje uruchamiania".
Ten który Ci się podoba to chyba "futureprototype-mx" - sprawdzisz w podglądzie.
Wszystko się zgadza łącznie z nazwą motywu. Dokładnie o to mi chodziło, dzięki.
#7
Sparky / Odp: Skaner Epson Perfection V...
Ostatnia wiadomość przez PomPom - Luty 03, 2023, 06:27:53 PM
Cytat: sparky w Luty 03, 2023, 08:11:52 AMMogę prosić o bliższe informacje jak to zrobić przez terminal?
sudo dpkg -i nazwadebu.deb znaczy że wpisuję sudo dpkg -i epsonscan2-bundle-6.7.0.0.x86_64.deb.  ??
Chodzi mi czy wpisuję -i oraz gdzie wstawić spacje
Dzięki za pomoc dalszą.
Wchodzisz w folder, gdzie masz pobrany plik .deb i tam klikasz prawy przycisk myszy -> otwórz terminal tutaj (lub coś podobnego). Tam wpisujesz: sudo dpkg -i epson i klikasz Tab na klawiaturze, żeby się samo uzupełniło dalej. Enter.

Lub tak jak opisał linux4ever.

Na przyszłość: Jak masz dużo pakietów .deb i chcesz je wszystkie zainstalować, to wtedy je wrzucasz do jednego folderu, tam otwierasz terminal i wpisujesz sudo dpkg -i *.deb
#8
Sparky / Odp: Skaner Epson Perfection V...
Ostatnia wiadomość przez linux4ever - Luty 03, 2023, 08:19:15 AM
Skopiować paczkę .deb na pulpit

Nawigować  do niego przez komendę cd np cd /Pulpit

Wpisać w konsoli to samo co napisałeś  sparky;

sudo dpkg -i epsonscan2-bundle-6.7.0.0.x86_64.deb


#9
Sparky / Odp: Skaner Epson Perfection V...
Ostatnia wiadomość przez sparky - Luty 03, 2023, 08:11:52 AM
Mogę prosić o bliższe informacje jak to zrobić przez terminal?
sudo dpkg -i nazwadebu.deb znaczy że wpisuję sudo dpkg -i epsonscan2-bundle-6.7.0.0.x86_64.deb.  ??
Chodzi mi czy wpisuję -i oraz gdzie wstawić spacje
Dzięki za pomoc dalszą.
#10
Mepis, antiX, MX / Odp: Ekran ładowania MX Linux
Ostatnia wiadomość przez jami - Luty 03, 2023, 04:31:52 AM
Jest domyślny we Fluxboxie - motyw "elegant-linen-grey".
Możesz zmienić używając "MX Opcje uruchamiania".
Ten który Ci się podoba to chyba "futureprototype-mx" - sprawdzisz w podglądzie.
Da się zmienić w terminalu, manualnie na podstawie wiki:
https://mxlinux.org/wiki/system/add-plymouth-to-mx-linux/
sprawdziłem.

Zobacz najnowsze wiadomości na forum